Subject: Re: Incoming to helium.harhan.org:/home/linuxppc/linuxppc_2_4_alt

From: [email-masked] (Michael Sokolov)
Date: Mon, 15 Apr 02 11:11:48 PDT

Troy Benjegerdes <[email-masked]> wrote:

> Above all, *readable* code, because otherwise someone changes something,
> and inadvertently breaks machines that they don't have to test on.

We've got this one settled in favor of ELF section magic to add machines, which
works for both of us.

> If better functionality for the user is your goal, you can't achieve it by
> designing code around that goal. (Unless, of course, you're Apple computer
> and have large resources for QA and testing, and design the hardware
> yourself)

I do design the hardware myself now. But the company I take example from is
DEC, not Apple.

MS

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/